# Changelog

| modName    | Science Instruments (MSI)                                         |
| ---------- | ----------------------------------------------------------------- |
| license    | GPL-3.0                                                           |
| author     | ManuxKerb and zer0Kerbal                                          |
| forum      | (https://forum.kerbalspaceprogram.com/index.php?/topic/215791-*/) |
| github     | (https://github.com/zer0Kerbal/ScienceInstruments)                |
| curseforge | (https://www.curseforge.com/kerbal/ksp-mods/ScienceInstruments)   |
| spacedock  | (https://spacedock.info/mod/475)                                  |

## Version 1.1.99.0-adoption - `<Thank you ManuxKerb>` edition

* Released
  * 24 Mar 2023
  * Kerbal Space Program 1.12.5
  * by [zer0Kerbal](https://github.com/zer0Kerbal)

### Summary 1.1.99.0

* update textures
* update parts
* loads of behind the scenes changes
* Can search `msi` in editors
* ghostparts.cfg temporarily added for renamed parts
* Dependencies:
  * Mkerb Inc

### Adoption by [zer0Kerbal](https://github.com/zer0Kerbal)

### Archival Releases

* Archival Releases
  * 0.1.0.0-release
  * 0.2.0.0-release
  * 0.3.0.0-release
  * 0.4.0.0-release
  * 0.5.0.0-release
  * 0.6.0.0-release
  * 0.6.0.1-release 0.6b
  * 0.7.0.0-release
  * 0.8.0.1-release 0.8b
  * 0.9.0.0-release
  * 1.0.0.1-release 1.0b
  * 1.1.0.0-release
* closes #7 - Archival Releases

### Localization 1.1.99.0

* Update
  * Localization/
    * <en-us.cfg> v1.1.99.0
    * <pt-br.cfg> v1.1.99.0
    * <de-de.cfg> v1.1.99.0
    * <es-es.cfg> v1.1.99.0
    * <ru.cfg> v1.1.99.0
    * <zh-cn.cfg> v1.1.99.0
* Add
  * [readme.md] v2.1.2.0
  * [quickstart.md] v1.0.1.1
* Create
  * [ScienceInstruments.cfg] v1.0.0.0
    * adds localized tags to parts
* closes #8 - Create Localization directory and contents
* closes #10 - Create <ScienceInstruments.cfg>
* closes #24 - English <en-us.cfg>
* closes #41 - Part Localization
* updates #23 - Localization - Master
* updates #25 - Brazalian (Português Brasil) <pt-br.cfg>
* updates #26 - German (Deutsch) <de-de.cfg>
* updates #27 - Spanish (Español) <es-es.cfg>
* updates #31 - Russian (Русский) <ru.cfg>
* updates #32 - Simplified Chinese (简体中文) <zh-cn.cfg>

### Parts 1.1.99.0

* Add
  * <ghostParts.cfg> v1.0.0.0
* Rename
  * parts to match naming scheme
  * files to match part names
* Fix
* Lint
* Reformat
* Errors
* Patches
  * Updated
    * filenames
    * Module Manger patch headers
    * file headers
    * general linting
* closes #42 - Part Tags

### Assets 1.1.99.0

* create Assets/ folder
* convert
  * from mesh to MODEL
  * textures from .mbm to .dds
* rename
  * Rename model files to unique names
  * textures to unique names
    * texture --> msi-alv
    * texture --> msi-snd
    * texture --> msi-tim
    * texture --> msi-rads
* update
  * model pointers (.png et al to .dds)
  * model texture pointers to new names
* relocate assets to Assets/
* eliminateduplicates textures/models
* relocate part.cfg to Parts/
* textures
* closes #9 - Part Asset Updates

### Documentation 1.1.99.0

* Add
  * GitHub Pages
    * [`_config.yml`]
    * [Attribution.md] v1.0.7.1
    * [ManualInstallation.md] v1.1.8.0
    * [404.md] v1.0.3.2
    * [LegalMumboJumbo.md] v1.0.5.1
    * [Localizations.md] v1.1.7.0
    * [Marketing.md] v1.0.1.0
    * [Notices.md] v1.0.1.0
    * [Part-Catalog.md] v1.1.4.1
    * [Why.md] v1.1.0.0
  * docs/thumbs
* closes #5 - Create GitHub Pages

### Cover image 1.1.99.0

* Create HeroLogo/Cover image
* closes #6 - Create HeroLogo.png

### Status 1.1.99.0

* Issues
  * closes #1 - Science Instruments (MSI) 1.1.99.0-adoption `<Thank you ManuxKerb>` edition
  * closes #2 - 1.1.99.0 Create Legal Mumbo Jumbo
  * closes #3 - 1.1.99.0 Create Documentation
  * closes #4 - 1.1.99.0 Create Social Media Presence

---

## Version 1.1.0.0-release `<Archive>`

* Released
  * 22 Mar 2018
  * Kerbal Space Program 1.9.1
  * by ManuxKerb

* Support for localization added. (Volunteers please step forward if you know DEU, ES, and the other languages :)
* Nerfed the science to make it not so powerful
* Some small tweaks

* closes #22 - 1.1.0.0
* closes #7 - Archival Releases

---

## Version 1.0.0.0b-release `<Archive>`

* Released
  * 19 Mar 2018
  * Kerbal Space Program 1.4.1
  * by ManuxKerb

* Updated for 1.4.1
* Science reward tweaks
* Integration of Indicator lights (you need the Indicator Lights mod for this!)
* Textures changed to fit better in Kerbal 1.4.1 universe.

* closes #21 - 1.0.0.1
* updates #7 - Archival Releases

---

## Version 0.9.0.0-release `<Archive>`

* Released
  * 25 Apr 2016
  * Kerbal Space Program 1.1.0
  * by ManuxKerb

* Added search tags for 1.1
* Official 1.1 release
* Tags for searching
* ~~official 1.2.2 release~~

* closes #20 - 0.9.0.0
* updates #7 - Archival Releases

---

## Version 0.8.0.0-release `<Archive>`

* Released
  * 05 Apr 2016
  * Kerbal Space Program 1.1
  * by ManuxKerb

* Tested in 1.1 pre-release (1.1 should be AWESOME!)
* Slight changes to Textures
* Balancing for 1.1

* closes #19 - 0.8.0.1
* updates #7 - Archival Releases

---

## Version 0.7.0.0-release `<Archive>`

* Released
  * 16 Jul 2015
  * Kerbal Space Program 1.0.4
  * by ManuxKerb

* Fixed Eva collection bug.

* closes #18 - 0.7.0.0
* updates #7 - Archival Releases

---

## Version 0.6.0.1-release `<Archive>`

* Released
  * 26 May 2015
  * Kerbal Space Program 1.0.2
  * by ManuxKerb

* 0.6a
* A typo made the 0.6 update useless, now fixed!

* closes #17 - 0.6.0.1
* updates #7 - Archival Releases

---

## Version 0.6.0.0-release `<Archive>`

* Released
  * 26 May 2015
  * Kerbal Space Program 1.0.2
  * by ManuxKerb

* Fixed bug in the ABS as the transmission value was reported way to high.

* closes #16 - 0.6.0.0
* updates #7 - Archival Releases

---

## Version 0.5.0.0-release `<Archive>`

* Released
  * 23 May 2015
  * Kerbal Space Program 1.0.2
  * by ManuxKerb

* New models
* A lot of balancing

* closes #15 - 0.5.0.0
* updates #7 - Archival Releases

---

## Version 0.4.0.0-release `<Archive>`

* Released
  * 19 May 2015
  * Kerbal Space Program 1.0.2
  * by ManuxKerb

* Changed folder structure for future updates, make sure you delete the old Mkerb folder!
* Price tweaks to better reflect the actual parts

* closes #14 - 0.4.0.0
* updates #7 - Archival Releases

---

## Version 0.3.0.0-release `<Archive>`

* Released
  * 13 May 2015
  * Kerbal Space Program 1.0.0
  * by ManuxKerb

* Unofficial support for New Horizons planets mod. (No further support will be given.)

* closes #13 - 0.3.0.0
* updates #7 - Archival Releases

---

## Version 0.2.0.0-release `<Archive>`

* Released
  * 10 May 2015
  * Kerbal Space Program 1.0.0
  * by ManuxKerb

* Support for Outer planets mod. (Not every planet was added to every experiment to increase the fun, i mixed it:)
* MeCripp converted textures to dds. Thanks
* Some small rewrites

* closes #12 - 0.2.0.0
* updates #7 - Archival Releases

---

## Version 0.1.0.0-release `<Archive>`

* Released
  * 05 May 2015
  * Kerbal Space Program 1.0.0
  * by ManuxKerb

* no changelog

* closes #11 - 0.1.0.0
* updates #7 - Archival Releases

---
